%define upstream_name	 data-trie
%define upstream_version 0.01

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:	An implementation of a letter trie
License:	GPL
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/authors/id/H/HA/HAMMOND/%{upstream_name}-%{upstream_version}.tar.bz2

BuildArch:	noarch

%description
This module implements a letter trie data structure. This is a linked set of
nodes representing a set of words. Starting from the root, each letter of an
included word is a daughter node of the trie. Hence, if a word is in the trie,
there will be a path from root to leaf for that word. If a word is not in the
trie, there will be no such path.

This structure allows for a relatively compact representation of a set of
words. This particular implementation allows each word to be stored alone or
with some associated data item.

Note that the remove() method does not prune nodes and thus a Trie can only
grow in size.

%prep
%setup -q -n Data-Trie-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc README
%{perl_vendorlib}/Data
%{_mandir}/*/*




%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.10.0-12.mga10
+ Revision: 2198079
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.10.0-11.mga9
+ Revision: 1802844
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.10.0-10.mga8
+ Revision: 1493794
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.10.0-9.mga7
+ Revision: 1267019
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.10.0-8.mga6
+ Revision: 1024932
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.10.0-7.mga6
+ Revision: 939114
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.10.0-6.mga5
+ Revision: 749493
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.10.0-5.mga5
+ Revision: 687024
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.10.0-4.mga4
+ Revision: 516326
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.10.0-3.mga3
+ Revision: 375441
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 11 2011 spuhler <spuhler> 0.10.0-2.mga2
+ Revision: 104018
- increase rel for rebuild

* Thu Jan 13 2011 jquelin <jquelin> 0.10.0-1.mga1
+ Revision: 14156
- imported package perl-data-trie


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.10.0-1mdv2010.0
+ Revision: 403089
- rebuild using %%perl_convert_version

* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.01-5mdv2009.0
+ Revision: 256483
- rebuild

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 0.01-3mdv2008.1
+ Revision: 135831
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.01-3mdv2008.0
+ Revision: 86330
- rebuild


* Thu Aug 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.01-2mdv2007.0
- Rebuild

* Tue Oct 18 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.01-1mdk
- first mdk release

